### Virtual Method

# RB RhythmDBEntryType create_ext_db_key

#### Declaration [src]

    RBExtDBKey*
    create_ext_db_key (
      RhythmDBEntryType* etype,
      RhythmDBEntry* entry,
      RhythmDBPropType prop
    )

#### Description

No description available.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  No description available.

  The data is owned by the caller of the method.

`prop`

  Type: `RhythmDBPropType`

  No description available.

#### Return value

Type: `RBExtDBKey`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.